## ros-lunar-joint-trajectory-controller 0.13.4

=== debian/changelog ===
ros-lunar-joint-trajectory-controller (0.13.4-0xenial) xenial; urgency=high

  * joint_trajectory_controller improve test stability
  * Use a copy of rt_active_goal in update()
  * Changes to allow inheritance from JointTrajectoryController.
  * Contributors: Alexander Gutenkunst, Gennaro Raiola, Kei Okada, Ryosuke Tajima

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Mon, 25 Jun 2018 23:00:00 -0000

ros-lunar-joint-trajectory-controller (0.13.3-0xenial) xenial; urgency=high

  * migrate to new pluginlib headers
  * TrajectoryController: Use desired state to calculate hold trajectory (#297 <https://github.com/ros-controls/ros_controllers/issues/297>)
  * Add velocity feedforward term to velocity HardwareInterfaceAdapter (#227 <https://github.com/ros-controls/ros_controllers/issues/227>)
  * Contributors: Mathias Lüdtke, Miguel Prada, agutenkunst

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Thu, 26 Apr 2018 23:00:00 -0000

ros-lunar-joint-trajectory-controller (0.13.2-0xenial) xenial; urgency=high

  * Changend the implementation of joint_trajectory_controller to enable the forwarding of the acceleration values from the trajectory
  * Contributors: Bence Magyar, Mart Moerdijk

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Sat, 23 Dec 2017 00:00:00 -0000

ros-lunar-joint-trajectory-controller (0.13.1-0xenial) xenial; urgency=high

  * Linted pos_vel joint_trajectory_controllers
  * Added posvel joint_trajectory_controller
    Added a simple posvel joint_trajectory_controller that forwards
    the desired state at the current point in time of the trajectory
    to the joint.
  * Add support for an joint interfaces are not inherited from JointHandle.
    Add JointTrajectoryController specification for SplineJointInterface.
  * Contributors: Gennaro Raiola, Igorec, Zach Anderson

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Mon, 06 Nov 2017 00:00:00 -0000

ros-lunar-joint-trajectory-controller (0.13.0-0xenial) xenial; urgency=high

  * Make rqt_plot optional
  * Added tests for issue #275 <https://github.com/ros-controls/ros_controllers/issues/275>
  * Address Issue  #275 <https://github.com/ros-controls/ros_controllers/issues/275> for kinetic
  * Address issue #263 <https://github.com/ros-controls/ros_controllers/issues/263>, joint_trajectory_controller - wraparoundOffset
  * Added warning to indicate that the verbose flag is enabled
  * Set hold trajectory goal handle when empty trajectory received through action.
    Previously, an empty trajectory received through the action interface would
    set hold trajectory and accept the action goal, but the action would never be
    terminated, leaving clients hanging.
  * Contributors: Bence Magyar, Miguel Prada, bponsler, gennaro

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Wed, 09 Aug 2017 23:00:00 -0000

ros-lunar-joint-trajectory-controller (0.12.3-0xenial) xenial; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Sat, 22 Apr 2017 23:00:00 -0000

ros-lunar-joint-trajectory-controller (0.12.2-0xenial) xenial; urgency=high

  * Remove rqt_plot test_depend & make plots optional
  * Contributors: Bence Magyar

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Thu, 20 Apr 2017 23:00:00 -0000

ros-lunar-joint-trajectory-controller (0.12.1-0xenial) xenial; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Wed, 08 Mar 2017 00:00:00 -0000

ros-lunar-joint-trajectory-controller (0.12.0-0xenial) xenial; urgency=high

  * Fix missing controller_manager include
  * Ordered dependencies & cleanup
  * Change for format2
  * Add Enrique and Bence to maintainers
  * Add test that sends trajectory entirely in past
  * Use xacro instead of xacro.py
  * urdf::Model typedefs had to be added to a different repo first
  * Updated copyright info
  * jtc: Enable sending trajectories with a partial set of joints
  * Replace boost::shared_ptr<urdf::XY> with urdf::XYConstSharedPtr when exists
  * Infrastructure for testing the velocity_controllers::JointTrajectoryController.
  * jtc: Enable sending trajectories with a partial set of joints
  * Contributors: Beatriz Leon, Bence Magyar, Miguel Prada

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Wed, 15 Feb 2017 00:00:00 -0000

ros-lunar-joint-trajectory-controller (0.11.2-0xenial) xenial; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Mon, 15 Aug 2016 23:00:00 -0000

ros-lunar-joint-trajectory-controller (0.11.1-0xenial) xenial; urgency=high

  * Write feedback for the RealtimeServerGoalHandle to publish on the non-realtime thread.
  * Contributors: Miguel Prada

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Sun, 22 May 2016 23:00:00 -0000

ros-lunar-joint-trajectory-controller (0.11.0-0xenial) xenial; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Mon, 02 May 2016 23:00:00 -0000

ros-lunar-joint-trajectory-controller (0.10.0-0xenial) xenial; urgency=high

  * Add joint limits spec to rrbot test robot
  * Address -Wunused-parameter warnings
  * Reset to semantic zero in HardwareInterfaceAdapter for PositionJointInterface
  * Contributors: Adolfo Rodriguez Tsouroukdissian, ipa-fxm

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Fri, 20 Nov 2015 00:00:00 -0000

ros-lunar-joint-trajectory-controller (0.9.2-0xenial) xenial; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Sun, 03 May 2015 23:00:00 -0000

ros-lunar-joint-trajectory-controller (0.9.1-0xenial) xenial; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Mon, 03 Nov 2014 00:00:00 -0000

ros-lunar-joint-trajectory-controller (0.9.0-0xenial) xenial; urgency=high


